Bug 500433 - 'rrip_cli' and 'rrip_gui' scripts fail.
'rrip_cli' and 'rrip_gui' scripts fail.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rubyripper (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 12:55 EDT by Konstantin
Modified: 2010-06-28 08:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin 2009-05-12 12:55:31 EDT
Description of problem:
'rrip_cli' and 'rrip_gui' scripts fail to launch.

Version-Release number of selected component (if applicable):
rubyripper-0.5.5-2.fc11.noarch
rubyripper-gui-0.5.5-2.fc11.noarch
ruby-1.8.6.287-8.fc11.i586

How reproducible:
Run 'rrip_cli' or 'rrip_gui'

Steps to Reproduce:
1.
2.
3.
  
Actual results:
# rrip_cli
/usr/lib/ruby/site_ruby/1.8/locale.rb:201:in `candidates': undefined method `size' for nil:NilClass (NoMethodError)
        from /usr/lib/ruby/site_ruby/1.8/gettext/textdomain_manager.rb:113:in `translate_singluar_message'
        from /usr/lib/ruby/site_ruby/1.8/gettext.rb:126:in `_'
        from /usr/bin/rrip_cli:62:in `parse_options'
        from /usr/lib/ruby/1.8/optparse.rb:785:in `initialize'
        from /usr/bin/rrip_cli:61:in `new'
        from /usr/bin/rrip_cli:61:in `parse_options'
        from /usr/bin/rrip_cli:37:in `initialize'
        from /usr/bin/rrip_cli:480:in `new'
        from /usr/bin/rrip_cli:480


# rrip_gui
/usr/lib/ruby/site_ruby/1.8/locale.rb:201:in `candidates': undefined method `size' for nil:NilClass (NoMethodError)
        from /usr/lib/ruby/site_ruby/1.8/gettext/textdomain_manager.rb:113:in `translate_singluar_message'
        from /usr/lib/ruby/site_ruby/1.8/gettext.rb:126:in `_'
        from /usr/bin/rrip_gui:65:in `create_buttonbox'
        from /usr/bin/rrip_gui:50:in `initialize'
        from /usr/bin/rrip_gui:1117:in `new'
        from /usr/bin/rrip_gui:1117
Comment 1 Sindre Pedersen Bjørdal 2009-06-08 19:23:00 EDT
Thanks for the report. I'm unable to reproduce this in any of my F11 environments. I would very much like to solve this issue though. 

Please provide more info, I'd like to know you're installed versions of any ruby core package and gettext as well, so basicly: rpm -qa | grep ruby and rpm -qa | grep gettext.
Comment 2 Bug Zapper 2009-06-09 11:42:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Harry Dance 2009-06-17 15:41:37 EDT
Hi, I too am experiencing this problem, I have installed rubyripper but cannot manage to launch it.

Sindre, here are the results of the commands you suggested on my computer:

[harry@harry-desktop ~]$ rpm -qa | grep ruby
ruby-1.8.6.368-1.fc11.i586
ruby-gettext-package-2.0.4-1.fc11.noarch
ruby-rdoc-1.8.6.368-1.fc11.i586
ruby-irb-1.8.6.368-1.fc11.i586
ruby-locale-2.0.4-1.fc11.noarch
rubygem-locale-2.0.4-1.fc11.noarch
rubyripper-0.5.5-2.fc11.noarch
rubygems-1.3.1-2.fc11.noarch
ruby-libs-1.8.6.368-1.fc11.i586
rubygem-gettext-2.0.4-1.fc11.noarch
[harry@harry-desktop ~]$ rpm -qa | grep gettext
ruby-gettext-package-2.0.4-1.fc11.noarch
rubygem-gettext-2.0.4-1.fc11.noarch
[harry@harry-desktop ~]$

Hope that helps
Comment 4 Felix Kaechele 2010-04-21 04:30:20 EDT
Is this problem still persistent with the most recent version from Fedora repos?
Comment 5 Bug Zapper 2010-04-27 10:17:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:30:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.